/**************************************************************************************************/


/*
 * File: main.c
 * Author: Roman Lysecky
 * Date Created: 22 September 2011
 *
 * Description: Main functionality for simple C program that search each line of an input
 *              file for a user specified string, and replaces one ocurrence of that 
 *              string with a user specified replacement string. The resulting
 *              modified text will be printed to the stadard output.
 *
 * Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2011.
 *
 */

/**************************************************************************************************/


#include "global.h"
#include "linesegment.h"
#include "polygon.h"
#include <stdlib.h>
#include <stdio.h>

/**************************************************************************************************/

int 
main() 
{
    Polygon polygon1;
    
    polygon_init(&polygon1);
    polygon_insert_segment_next(&polygon1, NULL, 0, 0, 0, 5);
    polygon_insert_segment_next(&polygon1, NULL, 5, 5, 0, 5);
    polygon_insert_segment_next(&polygon1, NULL, 5, 5, 5, 0);
    polygon_insert_segment_next(&polygon1, NULL, 5, 0, 0, 0);
    polygon_display(&polygon1);
    
    if( is_valid_polygon(&polygon1) == TRUE ) {
        printf("is a valid polygon.\n");
    }
    else {
        printf("is not a valid polygon.\n");
    }
    
    polygon_destroy(&polygon1);
    
    return 0;
}

/**************************************************************************************************/
